Package org.apache.commons.math3.linear

# Class IllConditionedOperatorException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
java.lang.IllegalArgumentException
org.apache.commons.math3.exception.MathIllegalArgumentException
org.apache.commons.math3.linear.IllConditionedOperatorException

All Implemented Interfaces:
  `Serializable`, `ExceptionContextProvider`

public class IllConditionedOperatorException extends MathIllegalArgumentException
An exception to be thrown when the condition number of a `RealLinearOperator` is too high.

Since:
  3.0
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`IllConditionedOperatorException(double cond)`
Creates a new instance of this class.

## Method Summary

### Methods inherited from class org.apache.commons.math3.exception.MathIllegalArgumentException

`getContext, getLocalizedMessage, getMessage`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### IllConditionedOperatorException

public IllConditionedOperatorException(double cond)
Creates a new instance of this class.

Parameters:
  `cond` - An estimate of the condition number of the offending linear operator.